### Hierarchy

- BaseAudioContext
  - OfflineAudioContext

## Index

### Properties

- BaseAudioContext
- audioWorklet
- currentTime
- destination
- length
- listener
- oncomplete
- onstatechange
- sampleRate
- state

### Methods

- addEventListener
- createAnalyser
- createBiquadFilter
- createBuffer
- createBufferSource
- createChannelMerger
- createChannelSplitter
- createConstantSource
- createConvolver
- createDelay
- createDynamicsCompressor
- createGain
- createIIRFilter
- createOscillator
- createPanner
- createPeriodicWave
- createScriptProcessor
- createStereoPanner
- createWaveShaper
- decodeAudioData
- dispatchEvent
- removeEventListener
- resume
- startRendering
- suspend

## Properties

### BaseAudioContext

BaseAudioContext: object

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2163

#### Type declaration

- ##### constructor: function

  - new __type(): BaseAudioContext
  - - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2164

    #### Returns BaseAudioContext

- ##### prototype: BaseAudioContext

### audioWorklet

audioWorklet: AudioWorklet

Inherited from BaseAudioContext.audioWorklet

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2130

### currentTime

currentTime: number

Inherited from BaseAudioContext.currentTime

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2131

### destination

destination: AudioDestinationNode

Inherited from BaseAudioContext.destination

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2132

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10714

### listener

listener: AudioListener

Inherited from BaseAudioContext.listener

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2133

### oncomplete

oncomplete: function | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10715

### onstatechange

onstatechange: function | null

Inherited from BaseAudioContext.onstatechange

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2134

### sampleRate

sampleRate: number

Inherited from BaseAudioContext.sampleRate

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2135

### state

state: AudioContextState

Inherited from BaseAudioContext.state

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2136

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Overrides BaseAudioContext.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10718

  #### Type parameters

  - #### K: keyof OfflineAudioContextEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: OfflineAudioContext, ev: OfflineAudioContextEventMap[K]): any

      - #### Parameters

        - ##### this: OfflineAudioContext

        - ##### ev: OfflineAudioContextEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Overrides BaseAudioContext.addEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10719

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### createAnalyser

- createAnalyser(): AnalyserNode

- Inherited from BaseAudioContext.createAnalyser

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2137

  #### Returns AnalyserNode

### createBiquadFilter

- createBiquadFilter(): BiquadFilterNode

- Inherited from BaseAudioContext.createBiquadFilter

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2138

  #### Returns BiquadFilterNode

### createBuffer

- createBuffer(numberOfChannels: number, length: number, sampleRate: number): AudioBuffer

- Inherited from BaseAudioContext.createBuffer

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2139

  #### Parameters

  - ##### numberOfChannels: number

  - ##### length: number

  - ##### sampleRate: number

  #### Returns AudioBuffer

### createBufferSource

- createBufferSource(): AudioBufferSourceNode

- Inherited from BaseAudioContext.createBufferSource

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2140

  #### Returns AudioBufferSourceNode

### createChannelMerger

- createChannelMerger(numberOfInputs?: undefined | number): ChannelMergerNode

- Inherited from BaseAudioContext.createChannelMerger

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2141

  #### Parameters

  - ##### Optional numberOfInputs: undefined | number

  #### Returns ChannelMergerNode

### createChannelSplitter

- createChannelSplitter(numberOfOutputs?: undefined | number): ChannelSplitterNode

- Inherited from BaseAudioContext.createChannelSplitter

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2142

  #### Parameters

  - ##### Optional numberOfOutputs: undefined | number

  #### Returns ChannelSplitterNode

### createConstantSource

- createConstantSource(): ConstantSourceNode

- Inherited from BaseAudioContext.createConstantSource

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2143

  #### Returns ConstantSourceNode

### createConvolver

- createConvolver(): ConvolverNode

- Inherited from BaseAudioContext.createConvolver

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2144

  #### Returns ConvolverNode

### createDelay

- createDelay(maxDelayTime?: undefined | number): DelayNode

- Inherited from BaseAudioContext.createDelay

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2145

  #### Parameters

  - ##### Optional maxDelayTime: undefined | number

  #### Returns DelayNode

### createDynamicsCompressor

- createDynamicsCompressor(): DynamicsCompressorNode

- Inherited from BaseAudioContext.createDynamicsCompressor

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2146

  #### Returns DynamicsCompressorNode

### createGain

- createGain(): GainNode

- Inherited from BaseAudioContext.createGain

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2147

  #### Returns GainNode

### createIIRFilter

- createIIRFilter(feedforward: number[], feedback: number[]): IIRFilterNode

- Inherited from BaseAudioContext.createIIRFilter

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2148

  #### Parameters

  - ##### feedforward: number[]

  - ##### feedback: number[]

  #### Returns IIRFilterNode

### createOscillator

- createOscillator(): OscillatorNode

- Inherited from BaseAudioContext.createOscillator

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2149

  #### Returns OscillatorNode

### createPanner

- createPanner(): PannerNode

- Inherited from BaseAudioContext.createPanner

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2150

  #### Returns PannerNode

### createPeriodicWave

- createPeriodicWave(real: number[] | Float32Array, imag: number[] | Float32Array, constraints?: PeriodicWaveConstraints): PeriodicWave

- Inherited from BaseAudioContext.createPeriodicWave

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2151

  #### Parameters

  - ##### real: number[] | Float32Array

  - ##### imag: number[] | Float32Array

  - ##### Optional constraints: PeriodicWaveConstraints

  #### Returns PeriodicWave

### createScriptProcessor

- createScriptProcessor(bufferSize?: undefined | number, numberOfInputChannels?: undefined | number, numberOfOutputChannels?: undefined | number): ScriptProcessorNode

- Inherited from BaseAudioContext.createScriptProcessor

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2152

  #### Parameters

  - ##### Optional bufferSize: undefined | number

  - ##### Optional numberOfInputChannels: undefined | number

  - ##### Optional numberOfOutputChannels: undefined | number

  #### Returns ScriptProcessorNode

### createStereoPanner

- createStereoPanner(): StereoPannerNode

- Inherited from BaseAudioContext.createStereoPanner

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2153

  #### Returns StereoPannerNode

### createWaveShaper

- createWaveShaper(): WaveShaperNode

- Inherited from BaseAudioContext.createWaveShaper

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2154

  #### Returns WaveShaperNode

### decodeAudioData

- decodeAudioData(audioData: ArrayBuffer, successCallback?: DecodeSuccessCallback | null, errorCallback?: DecodeErrorCallback | null): Promise<AudioBuffer>

- Inherited from BaseAudioContext.decodeAudioData

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2155

  #### Parameters

  - ##### audioData: ArrayBuffer

  - ##### Optional successCallback: DecodeSuccessCallback | null

  - ##### Optional errorCallback: DecodeErrorCallback | null

  #### Returns Promise<AudioBuffer>

### dispatchEvent

- dispatchEvent(event: Event): boolean

- Inherited from EventTarget.dispatchEvent

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:5074

  Dispatches a synthetic event event to target and returns true if either event's cancelable attribute value is false or its preventDefault() method was not invoked, and false otherwise.

  #### Parameters

  - ##### event: Event

  #### Returns boolean

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Overrides BaseAudioContext.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10720

  #### Type parameters

  - #### K: keyof OfflineAudioContextEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: OfflineAudioContext, ev: OfflineAudioContextEventMap[K]): any

      - #### Parameters

        - ##### this: OfflineAudioContext

        - ##### ev: OfflineAudioContextEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Overrides BaseAudioContext.removeEventListener

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10721

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### resume

- resume(): Promise<void>

- Inherited from BaseAudioContext.resume

  - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:2156

  #### Returns Promise<void>

### startRendering

- startRendering(): Promise<AudioBuffer>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10716

  #### Returns Promise<AudioBuffer>

### suspend

- suspend(suspendTime: number): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10717

  #### Parameters

  - ##### suspendTime: number

  #### Returns Promise<void>

Generated using TypeDoc